Skip to main content
GET
/
v1
/
health
/
sync
Sync health status
curl --request GET \
  --url https://api.rewind.rest/v1/health/sync \
  --header 'Authorization: Bearer <token>'
{
  "status": "ok",
  "domains": {
    "listening": {
      "last_sync": "2026-03-18T21:00:00.000Z",
      "status": "completed",
      "sync_type": "scrobbles",
      "items_synced": 42,
      "duration_ms": 1250,
      "error": null,
      "error_rate": 0
    },
    "running": {
      "last_sync": "2026-03-18T03:00:00.000Z",
      "status": "completed",
      "sync_type": "activities",
      "items_synced": 3,
      "duration_ms": 4200,
      "error": null,
      "error_rate": 0
    }
  },
  "enrichment": {
    "artists_missing_apple_music_url_with_plays": 0,
    "artists_missing_apple_music_url": 0,
    "tracks_missing_itunes_enrichment": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.

Response

200 - application/json

Sync status for all domains

status
enum<string>
required
Available options:
ok
domains
object
required
enrichment
object
required